import { defineComponent, resolveComponent, openBlock, createElementBlock, createElementVNode, toDisplayString, unref, createVNode, withCtx, createTextVNode } from "vue";
import { u as useI18n, i as useRoute } from "./index-8d76cfd8.mjs";
const _hoisted_1 = { class: "card border-0 mb-0 text-center" };
const _hoisted_2 = { class: "card-header bg-secondary pt-4 pb-3" };
const _hoisted_3 = { class: "card-body bg-secondary p-4" };
const _hoisted_4 = { class: "row justify-content-center" };
const _hoisted_5 = { class: "col-lg-6" };
const _hoisted_6 = { class: "display-1" };
const _hoisted_7 = { class: "row justify-content-center mt-4" };
const _hoisted_8 = { class: "col-lg-6" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "Error",
  setup(__props) {
    const { t } = useI18n();
    const route = useRoute();
    const type = route.params.type;
    const types = {
      notFound: "404",
      forbidden: "403"
    };
    return (_ctx, _cache) => {
      const _component_router_link = resolveComponent("router-link");
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createElementVNode("div", _hoisted_2, [
          createElementVNode("h1", null, toDisplayString(unref(t)(unref(type))), 1)
        ]),
        createElementVNode("div", _hoisted_3, [
          createElementVNode("div", _hoisted_4, [
            createElementVNode("div", _hoisted_5, [
              createElementVNode("h1", _hoisted_6, toDisplayString(types[unref(type)]), 1),
              createElementVNode("h3", null, toDisplayString(unref(t)(`message.${unref(type)}`)), 1)
            ])
          ]),
          createElementVNode("div", _hoisted_7, [
            createElementVNode("div", _hoisted_8, [
              createVNode(_component_router_link, {
                class: "btn btn-primary",
                to: { name: "dashboard" }
              }, {
                default: withCtx(() => [
                  createTextVNode(toDisplayString(unref(t)("return")), 1)
                ]),
                _: 1
              })
            ])
          ])
        ])
      ]);
    };
  }
});
export {
  _sfc_main as default
};
